%define upstream_name    Unicode-UTF8
%define upstream_version 0.60

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Encoding and decoding of UTF-8 encoding form
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode) >= 1.980.100
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::Fatal) >= 0.6.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
This module provides functions to encode and decode UTF-8 encoding form as
specified by Unicode and ISO/IEC 10646:2011.

Here is a summary of features for comparison with the Encode manpage's
UTF-8 implementation:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.600.0-2.mga4
+ Revision: 537573
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.600.0-1.mga4
+ Revision: 487294
- update to 0.60

* Fri Jun 07 2013 jquelin <jquelin> 0.590.0-1.mga4
+ Revision: 440050
- update to 0.59

* Wed May 29 2013 jquelin <jquelin> 0.580.0-3.mga4
+ Revision: 431829
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.580.0-2.mga3
+ Revision: 374620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.580.0-1.mga3
+ Revision: 338122
- update to 0.58

* Wed Nov 07 2012 jquelin <jquelin> 0.570.0-1.mga3
+ Revision: 315935
- update to 0.57

* Wed May 30 2012 jquelin <jquelin> 0.550.0-2.mga3
+ Revision: 251290
- rebuild for perl 5.16

* Tue Feb 21 2012 kharec <kharec> 0.550.0-1.mga2
+ Revision: 211740
- update to 0.55

* Thu Nov 24 2011 kharec <kharec> 0.530.0-1.mga2
+ Revision: 171593
- update to 0.53

* Wed Nov 23 2011 kharec <kharec> 0.520.0-1.mga2
+ Revision: 171187
- update to 0.52

* Tue Nov 22 2011 kharec <kharec> 0.510.0-1.mga2
+ Revision: 171011
- imported package perl-Unicode-UTF8


* Tue Nov 22 2011 cpan2dist 0.51-1mga
- initial mageia release, generated with cpan2dist
